com.streambase.sb.unittest

## Class FieldBasedTupleComparator.RegexCompareFunctor

- java.lang.Object
- - com.streambase.sb.unittest.FieldBasedTupleComparator.CompareFunctor
  - - com.streambase.sb.unittest.FieldBasedTupleComparator.RegexCompareFunctor

- Enclosing class:
    FieldBasedTupleComparator

      public static class FieldBasedTupleComparator.RegexCompareFunctor
      extends FieldBasedTupleComparator.CompareFunctor

  Check if the second argument matches the regex defined for the first argument.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexCompareFunctor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compareImpl(TupleComparator comparator, CompleteDataType cdt, Object expected, Object actual)` Compare two values expected and actual, using `comparator` for recursion as necessary.

    - ### Methods inherited from class com.streambase.sb.unittest.FieldBasedTupleComparator.CompareFunctor

      `compare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexCompareFunctor

          public RegexCompareFunctor()

  - ### Method Detail

    - #### compareImpl

          public boolean compareImpl(TupleComparator comparator,
                                     CompleteDataType cdt,
                                     Object expected,
                                     Object actual)

      Description copied from class: `FieldBasedTupleComparator.CompareFunctor`
      Compare two values expected and actual, using `comparator` for recursion as necessary.
      Specified by:
        `compareImpl` in class `FieldBasedTupleComparator.CompareFunctor`
      Parameters:
        `comparator` - recurse through this argument for parameterized types.
        `expected` - a non-null object
        `actual` - a non-null object
      Returns:
        true if and only if the values are considered equal

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.